> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get item

> Returns the item from the cart.

The Cart ID from the [Create cart](/v3/cart-and-checkout/api-reference/carts-v3/carts/carts) endpoint is used in the path parameter.

The Item ID from the [Create item](/v3/cart-and-checkout/api-reference/carts-v3/items/items) endpoint is used in the path parameter.




## OpenAPI

````yaml modular-cart get /carts/{cartId}/items/{itemId}
openapi: 3.0.1
info:
  title: Cart API
  description: >-
    fabric's **Cart API** lets you add, update, and remove items from your
    Storefront cart, either as a guest user or as a logged-in user. It also
    provides functionality to merge carts when you switch from guest user to
    logged-in user, and apply coupons and other attributes (for example, gift
    wrapping) to the line items. Additionally, the API supports more advanced
    tasks such as using multiple carts within a B2B organization, sharing carts,
    and supporting a unified cart experience for multi-region and multi-brand
    businesses.<p>The Cart API provides high performance, scalability,
    multi-tenancy, and configurability to the end-to-end order processing
    actions that start from the item being added to the cart; through the
    pre-checkout stage that includes billing, shipping, and payment details; to
    the checkout stage where the order is processed and confirmed by fabric's
    Order Management System (OMS)
  contact:
    name: Cart Support
    email: support.cnc@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  version: 3.0.0
servers:
  - url: https://api.fabric.inc/v3
security:
  - bearerAuth: []
tags:
  - name: Cart
    description: >-
      Cart endpoints are used to do basic cart operations, such as create a
      cart, add item to the corresponding cart, update items, remove items,
      delete cart, update status of the cart, and more.
  - name: Items
    description: Item endpoints are used to add, update and remove items from the Cart.
  - name: Cart Fees
    description: >-
      Cart fee endpoints are used to add, update and remove fees at the Cart
      level.
  - name: Fulfillment Fees
    description: >-
      Fulfillment fees endpoints are used to add, update and remove fees at the
      Fulfillment level.
  - name: Addresses
    description: >-
      Address endpoints are used to add add, update and remove addresses from
      the Cart.
  - name: Item Fees
    description: >-
      Item fee endpoints are used to add, update and remove fees at the Item
      level.
  - name: Cart Adjustments
    description: >-
      Cart adjustment endpoints are used to add, update and remove adjustments
      at the Cart level.
  - name: Payments
    description: >-
      Payments endpoints are used to add add, update and remove payments from
      the Cart.
  - name: Customer
    description: >-
      Customer endpoints are used do basic customer operations, such as update a
      customer, add attributes and more.
  - name: Coupons
    description: Coupon endpoints are used to add and remove coupons from the Cart
  - name: Item Adjustments
    description: >-
      Item adjustments endpoints are used to add, update and remove adjustments
      at the Item level.
  - name: Fulfillment Adjustments
    description: >-
      Fulfillment adjustments endpoints are used to add, update and remove
      adjustments at the Fulfillment level.
  - name: Fulfillments
    description: >-
      Fulfillment endpoints are used to add add, update and remove fulfillments
      from the Cart.
  - name: Validations
    description: >-
      Validation endpoints are used to pass in data from fabric and third-party
      services to perform business logic on the Cart
paths:
  /carts/{cartId}/items/{itemId}:
    get:
      tags:
        - Items
      summary: Get item
      description: >
        Returns the item from the cart.


        The Cart ID from the [Create
        cart](/v3/cart-and-checkout/api-reference/carts-v3/carts/carts) endpoint
        is used in the path parameter.


        The Item ID from the [Create
        item](/v3/cart-and-checkout/api-reference/carts-v3/items/items) endpoint
        is used in the path parameter.
      operationId: getItem
      parameters:
        - name: cartId
          in: path
          required: true
          schema:
            type: string
            description: >-
              The 24-character system-generated Cart ID. This ID is generated
              using the [Create
              cart](/v3/cart-and-checkout/api-reference/carts-v3/carts/carts)
              endpoint.
        - name: itemId
          in: path
          required: true
          schema:
            type: string
            description: >-
              The Item ID generated when the item was created using the [Create
              item](/v3/cart-and-checkout/api-reference/carts-v3/items/items)
              endpoint. You can find the ID in the line item collections.
        - name: x-fabric-tenant-id
          in: header
          description: >
            A header used by fabric to identify the tenant making the request.
            You must include tenant id in the authentication header for an API
            request to access any of fabric’s endpoints. You can retrieve the
            tenant id , which is also called account id, from
            [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
            This header is required. 
          required: true
          schema:
            type: string
            example: 617329dfd5288b0011332311
        - name: x-fabric-request-id
          in: header
          description: ' Unique request ID for tracking.'
          required: false
          schema:
            type: string
            example: 263e731c-45c8-11ed-b878-0242ac120002
        - name: x-fabric-channel-id
          in: header
          description: >-
            x-fabric-channel-id identifies the sales channel through which the
            API request is being made; primarily for multichannel use cases. It
            is a required field. The default US channel is 12 while the default
            Canada channel is 11.
          required: false
          schema:
            type: string
            example: '12'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemResponseDto'
        '400':
          description: Client error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Cart or Item not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
components:
  schemas:
    ItemResponseDto:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier of the item that was linked from making
            [Create
            item](/v3/cart-and-checkout/api-reference/carts-v3/items/items)
            endpoint
          example: a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93
        sku:
          type: string
          description: >-
            The Stock Keeping Unit (SKU) associated with the item, used for
            inventory tracking and management.
          example: SKU3
        refId:
          type: string
          description: >-
            An alternative identifier associated with the item, used for
            additional tracking or referencing.
          example: '41'
        quantity:
          type: integer
          description: Quantity of item
          format: int32
          example: 10
        priceListId:
          type: string
          description: >-
            The unique identifier for a price list, used to reference and manage
            pricing information.
          example: '10001'
        position:
          type: integer
          description: Position of the item in the cart..
          format: int32
          example: 1
        price:
          $ref: '#/components/schemas/ItemPrice'
        fees:
          $ref: '#/components/schemas/FeesCollection'
        promotions:
          $ref: '#/components/schemas/ItemPromotionsCollection'
        adjustments:
          $ref: '#/components/schemas/AdjustmentCollection'
        fulfillment:
          $ref: '#/components/schemas/ItemFulfillment'
        attributes:
          type: object
          additionalProperties:
            type: object
            description: Custom attributes
            example:
              name: item-custom
          description: Custom attributes
          example:
            name: item-custom
        tax:
          $ref: '#/components/schemas/TaxCollection'
        taxCode:
          type: string
          description: The code used to identify and apply tax rates for transactions.
          example: '10001'
        updatedAt:
          type: string
          description: The date and time the Item was last updated
          example: '2024-06-13T16:50:00.682Z'
        createdAt:
          type: string
          description: The date and time a Item was created
          example: '2024-06-13T16:50:00.682Z'
      description: Item Response
    ClientError:
      type: object
      properties:
        type:
          type: string
          description: Error code, meant for machine consumption
          example: BAD_REQUEST
        message:
          type: string
          description: Human-readable error description
          example: x-fabric-tenant-id is required
      description: Client error details
    NotFound:
      type: object
      properties:
        type:
          type: string
          description: Error code, meant for machine consumption
          example: CART_NOT_FOUND
        message:
          type: string
          description: Human-readable error description
          example: Cart not found
      description: Resource Not Found
    ItemPrice:
      type: object
      properties:
        unit:
          type: number
          description: The unit price of the item.
          example: 10
        amount:
          type: number
          description: The total price of the item, inclusive of quantity.
          example: 100
      description: Item price
    FeesCollection:
      type: object
      properties:
        total:
          type: number
          description: The total fees amount in the collection.
          example: 5
        collection:
          type: array
          description: An array containing all fees and their details in a collection.
          items:
            $ref: '#/components/schemas/Fee'
      description: A collection of fees associated with the corresponding cart.
    ItemPromotionsCollection:
      type: object
      properties:
        total:
          type: number
          description: Discount total in the collection.
          example: 2
        collection:
          type: array
          description: An array containing promotions in the collection.
          items:
            $ref: '#/components/schemas/ItemPromotion'
      description: Collection of item promotions.
    AdjustmentCollection:
      type: object
      properties:
        total:
          type: number
          description: Adjustments total in a collection.
          example: 2
        collection:
          type: array
          description: An array containing adjustments in the collection.
          items:
            $ref: '#/components/schemas/Adjustment'
      description: A collection of adjustments made to the corresponding cart.
    ItemFulfillment:
      type: object
      properties:
        id:
          type: string
          description: The identifier of the fulfillment linked to the item.
          example: 6d65755f-b1d9-4c9d-bb5b-118d317f8db4
        price:
          $ref: '#/components/schemas/ResourcePrice'
        inventory:
          $ref: '#/components/schemas/Inventory'
        tax:
          $ref: '#/components/schemas/TaxCollection'
      description: Item Fulfillment
    TaxCollection:
      type: object
      properties:
        total:
          type: number
          description: Tax total in the collection.
          example: 3
        collection:
          type: array
          description: An array containing taxes in a collection.
          items:
            $ref: '#/components/schemas/Tax'
      description: A collection of taxes.
    Fee:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier of the fee associated with the corresponding
            cart that was generated when making [Create
            fee](/v3/cart-and-checkout/api-reference/carts-v3/fees/create-fees)
            endpoint.
          example: a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93
        name:
          type: string
          description: Name of the fee
          example: Eco Fee
        price:
          $ref: '#/components/schemas/ResourcePrice'
        taxable:
          type: boolean
          description: A boolean value that determines whether a fee is taxable.
          example: true
        attributes:
          type: object
          additionalProperties:
            type: object
            description: >-
              Custom attributes that provide more context for the fee, such as
              the source of the fee.
            example:
              source: eco
          description: >-
            Custom attributes that provide more context for the fee, such as the
            source of the fee.
          example:
            source: eco
        tax:
          $ref: '#/components/schemas/TaxCollection'
        updatedAt:
          type: string
          description: The date and time when the fee was last updated.
          example: '2024-06-13T16:50:00.682Z'
        createdAt:
          type: string
          description: The date and time when the fee was created.
          example: '2024-06-13T16:50:00.682Z'
        taxDetails:
          $ref: '#/components/schemas/FeeTaxDetails'
      description: Fee
    ItemPromotion:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the promotion.
          example: bb44db95-6fbd-4eed-a1ed-4d99bc91250f
        amount:
          type: number
          description: The discount amount applied to the item, excluding quantity.
          example: 15
        quantity:
          type: integer
          description: The quantity of the item for which the discount is applicable.
          format: int32
          example: 3
        proration:
          $ref: '#/components/schemas/ProrationSpread'
      description: Item Promotion
    Adjustment:
      type: object
      properties:
        id:
          type: string
          description: >-
            The Adjustment ID generated when an adjustment was created using the
            [Create
            adjustment](/v3/cart-and-checkout/api-reference/carts-v3/carts-adjustments/create-adjustments)
            endpoint.
          example: a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93
        price:
          $ref: '#/components/schemas/ResourcePrice'
        reason:
          type: string
          description: The reason for the adjustment.
          example: Price adjustment from customer representative.
        attributes:
          type: object
          additionalProperties:
            type: object
            description: Custom attributes used for price adjustments.
            example:
              source: CSR
          description: Custom attributes used for price adjustments.
          example:
            source: CSR
        updatedAt:
          type: string
          description: The date and time when the adjustment was last updated.
          example: '2024-06-13T16:50:00.682Z'
        createdAt:
          type: string
          description: The date and time when the adjustment was created.
          example: '2024-06-13T16:50:00.682Z'
      description: Adjustment
    ResourcePrice:
      required:
        - amount
      type: object
      properties:
        amount:
          minimum: 0
          exclusiveMinimum: false
          type: number
          description: Total fees amount
          example: 12.99
      description: Price details
    Inventory:
      type: object
      properties:
        type:
          type: string
          description: >-
            The type used to determine which counter to compare the quantity
            against.
          example: backOrder
        channels:
          type: object
          additionalProperties:
            type: string
            description: The inventory channels associated with the item.
            example: '{"networkCode":"ShipToHome"}'
          description: The inventory channels associated with the item.
          example:
            networkCode: ShipToHome
      description: Inventory
    Tax:
      type: object
      properties:
        amount:
          type: number
          description: Tax amount
          example: 3
        attributes:
          type: object
          additionalProperties:
            type: object
            description: >-
              Custom attributes to provide more context to the tax, such as the
              rate and the type of tax.
            example:
              rate: '5.0'
              type: COUNTY
          description: >-
            Custom attributes to provide more context to the tax, such as the
            rate and the type of tax.
          example:
            rate: '5.0'
            type: COUNTY
      description: Tax
    FeeTaxDetails:
      type: object
      properties:
        destinationAddress:
          type: string
          description: The destination address where the item will be delivered.
          example: c86f777b-1885-4ddf-961d-542ba80a69b8
        originAddress:
          type: string
          description: The origin address from which the item will be fulfilled.
          example: c86f777b-1885-4ddf-961d-542ba80a69b8
      description: Tax details used to determine tax for a cart fee.
    ProrationSpread:
      type: object
      properties:
        spread:
          type: array
          description: >-
            An array containing details about adjustments made to charges based
            on partial usage. Each entry in the array represents a specific
            proration adjustment, including the amount.
          items:
            $ref: '#/components/schemas/Proration'
      description: Prorations
    Proration:
      type: object
      properties:
        amount:
          type: number
          description: Proration amount for the item
          example: 5
        quantity:
          type: integer
          description: Proration quantity the amount is applicable for
          format: int32
          example: 3
      description: Proration details of the item used for returns in an OMS system
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        This is the authorization token used to authenticate the request. You
        must pass the access token generated from the system app. For more
        information, see the [Making your first API
        request](/v3/api-reference/getting-started/getting-started-with-fabric-apis#procedure)
        section.

````